Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class PetriPlace

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode
                  SEdit.Formalisms.Petri.PetriPlace

All Implemented Interfaces:
  PetriPlaceBehavior

Direct Known Subclasses:
  PetriInPort, PetriOutPort

    public class PetriPlace

extends SimpleNode
implements PetriPlaceBehavior

Field Summary

Fields inherited from class SEdit.SimpleNode
`inArrows, outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`PetriPlace()`

Method Summary
`void` | `addColoredToken()`
`void` | `addToken()`
`void` | `consume(int j)`
`void` | `consume(java.lang.Object expr)`
`LList` | `getColoredTokens()`
`int` | `getNumberTokens()`
`boolean` | `isEmpty()`
`void` | `modifyColoredTokens()`
`void` | `produce(int j)`
`void` | `produce(java.lang.Object e)`

Methods inherited from class SEdit.SimpleNode
`addInArrow, addOutArrow, delete, deleteInArrow, deleteOutArrow, getInArrows, getInArrows, getOutArrows, getOutArrows, isConnectable, toString`

Methods inherited from class SEdit.SNode
`activate, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PetriPlace

    public PetriPlace()

Method Detail

### getNumberTokens

    public int getNumberTokens()

  Specified by:
    `getNumberTokens` in interface `PetriPlaceBehavior`

### getColoredTokens

    public LList getColoredTokens()

  Specified by:
    `getColoredTokens` in interface `PetriPlaceBehavior`

### addColoredToken

    public void addColoredToken()

### addToken

    public void addToken()

### produce

    public void produce(int j)

  Specified by:
    `produce` in interface `PetriPlaceBehavior`

### produce

    public void produce(java.lang.Object e)

  Specified by:
    `produce` in interface `PetriPlaceBehavior`

### consume

    public void consume(int j)

  Specified by:
    `consume` in interface `PetriPlaceBehavior`

### consume

    public void consume(java.lang.Object expr)

  Specified by:
    `consume` in interface `PetriPlaceBehavior`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `PetriPlaceBehavior`

### modifyColoredTokens

    public void modifyColoredTokens()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.